[Unit]
Description=__DESCR__
After=network-online.target
Wants=network-online.target

[Service]
# ===== базовые настройки =====
User=__CUR_USER__
Group=__CUR_USER__

Type=simple
WorkingDirectory=__WORKDIR__

# ===== запуск JVM =====
ExecStart=__JAVA_PATH__ \
  -Xms__XMS__ \
  -Xmx__XMX__ \
  -D"file.encoding=UTF-8" \
  -jar jar/core/jroboplc.jar \
  -daemon 
  -cfg __CFG__

# ===== корректная остановка =====
KillSignal=SIGTERM
TimeoutStopSec=30
SuccessExitStatus=143

# ===== перезапуск =====
Restart=on-failure
RestartSec=5

# ===== логи =====
StandardOutput=journal
StandardError=journal

# ===== лимиты =====
LimitNOFILE=65536

# Если памяти немного, можно установить ограничение
#MemoryMax=1G

[Install]
WantedBy=multi-user.target